Bug 1000197 - RFE: introduce application.slice
RFE: introduce application.slice
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: systemd-containers
  Show dependency treegraph
 
Reported: 2013-08-22 18:24 EDT by Jóhann B. Guðmundsson
Modified: 2016-08-25 16:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-25 16:16:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2013-08-22 18:24:38 EDT
Description of problem:

I think i've come across an overall design flaw in the implementation of containers and we need to introduce the fourth/fith slice type called application.slice. 

The reason for this is make a clear distinction between OS containers ( machine.slice ) applications containers ( application.slice ) system containers ( system.slice ) and user containers ( user.slice ) and allow administrators to assign different resources to the application container and the system container
via the higher level cgroup options.

The overall design scheme would be changed to this

/sys/fs/cgroup/

`-- systemd

    |-- machine.slice

    |   `-- machine-f20.scope

    |       |-- application.slice
    |       |   |--httpd.service

    |       |-- system.slice

    |       |   |-- console-getty.service

    |       |   |-- systemd-journald.service

    |       |   

    |       `-- user.slice

    |--application.slice

    |   |-- ntpd.service

    |-- system.slice

    |   |-- systemd-journald.service

    |   |-- systemd-udevd.service

    |   

    |

    `-- user.slice

        |-- user-1000.slice

        |   |-- systemd-user@1000.service

        |   |   |-- firefox.service





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Lennart Poettering 2013-09-12 15:22:58 EDT
You are asking for two different slices for the OS itself vs. stuff the admin actually installed on top of the OS? i.e. you want all systemd services to be in one slice and all the apache instances in another?

Note that for multi-instantiated services there's already an implicit slice created where they are all placed in for each service. i.e. all apache instances are implicitly placed in systems.slice/apache.slice/apache@foobar.service...
Comment 2 Jóhann B. Guðmundsson 2013-09-12 15:48:02 EDT
I was thinking resource assignment basically ensure you could reserve X resources to the system itself something like. 

I got 4 cores ( or 40% cpu ) assigned to an OS container within that os container I want to give 20% to the application container which contains apache ssh etc 10% to the system container ( new )  and 10% to the user sessions. same applies with other resource deployment memory bandwith etc. 

If it dont make sense to you just close this.
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-08-25 16:16:16 EDT
This doesn't seem to be going anywhere. If anything, it should be discussed upstream.

Note You need to log in before you can comment on or make changes to this bug.